FROM python:3-bullseye

ADD https://github.com/ufoscout/docker-compose-wait/releases/download/2.9.0/wait /wait
RUN chmod +x /wait

WORKDIR /app
COPY requirements.txt requirements.txt
RUN python -m pip install -r requirements.txt

CMD /wait && uvicorn main:app --reload --host 0.0.0.0
